Eclipse Rich Ajax Platform

## org.eclipse.rwt.service
Interface IServiceStore

    public interface IServiceStore

The `IServiceStore` can be used to store and retrieve information during a life cycle request.

Note: the `IServiceStore` has request-scope, meaning that all information stored here will be lost at the end of a request.

Since:
  1.0
See Also:
  `RWT`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String name)`
`void` `removeAttribute(java.lang.String name)`
`void` `setAttribute(java.lang.String name, java.lang.Object value)`

Method Detail

### getAttribute

    java.lang.Object getAttribute(java.lang.String name)

### setAttribute

    void setAttribute(java.lang.String name,
                      java.lang.Object value)

### removeAttribute

    void removeAttribute(java.lang.String name)

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.